Package org.eclipse.birt.chart.model.attribute

# Enum ChartType

java.lang.Object
java.lang.Enum<ChartType>
org.eclipse.birt.chart.model.attribute.ChartType

All Implemented Interfaces:
  `Serializable`, `Comparable<ChartType>`, `java.lang.constant.Constable`, `org.eclipse.emf.common.util.Enumerator`

public enum ChartType extends Enum<ChartType> implements org.eclipse.emf.common.util.Enumerator
A representation of the literals of the enumeration ' Chart Type', and utility methods for working with them. This type defines the allowed values for Chart types. Any new Chart type needs to be added here to be supported.

See Also:
  - `AttributePackage.getChartType()`

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`BAR_LITERAL`
The 'Bar' literal object.
`COMBO_LITERAL`
The 'Combo' literal object.
`LINE_LITERAL`
The 'Line' literal object.
`PIE_LITERAL`
The 'Pie' literal object.
`SCATTER_LITERAL`
The 'Scatter' literal object.
`STOCK_LITERAL`
The 'Stock' literal object.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`BAR`
The 'Bar' literal value.
`static final int`
`COMBO`
The 'Combo' literal value.
`static final int`
`LINE`
The 'Line' literal value.
`static final int`
`PIE`
The 'Pie' literal value.
`static final int`
`SCATTER`
The 'Scatter' literal value.
`static final int`
`STOCK`
The 'Stock' literal value.
`static final List<ChartType>`
`VALUES`
A public read-only list of all the 'Chart Type' enumerators.

## Method Summary

Modifier and Type
Method
Description
`static ChartType`
`get(int value)`
Returns the 'Chart Type' literal with the specified integer value.
`static ChartType`
`get(String literal)`
Returns the 'Chart Type' literal with the specified literal value.
`static ChartType`
`getByName(String name)`
Returns the 'Chart Type' literal with the specified name.
`String`
`getLiteral()`
`String`
`getName()`
`int`
`getValue()`
`String`
`toString()`
Returns the literal value of the enumerator, which is its string representation.
`static ChartType`
`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static ChartType[]`
`values()`
Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`compareTo, describeConstable, equals, getDeclaringClass, hashCode, name, ordinal, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### PIE_LITERAL

public static final ChartType PIE_LITERAL
The 'Pie' literal object.

If the meaning of 'Pie' literal object isn't clear, there really should be more of a description here...

See Also:
  - `PIE`

### BAR_LITERAL

public static final ChartType BAR_LITERAL
The 'Bar' literal object.

If the meaning of 'Bar' literal object isn't clear, there really should be more of a description here...

See Also:
  - `BAR`

### LINE_LITERAL

public static final ChartType LINE_LITERAL
The 'Line' literal object.

If the meaning of 'Line' literal object isn't clear, there really should be more of a description here...

See Also:
  - `LINE`

### COMBO_LITERAL

public static final ChartType COMBO_LITERAL
The 'Combo' literal object.

If the meaning of 'Combo' literal object isn't clear, there really should be more of a description here...

See Also:
  - `COMBO`

### SCATTER_LITERAL

public static final ChartType SCATTER_LITERAL
The 'Scatter' literal object.

If the meaning of 'Scatter' literal object isn't clear, there really should be more of a description here...

See Also:
  - `SCATTER`

### STOCK_LITERAL

public static final ChartType STOCK_LITERAL
The 'Stock' literal object.

If the meaning of 'Stock' literal object isn't clear, there really should be more of a description here...

See Also:
  - `STOCK`

## Field Details

### PIE

public static final int PIE
The 'Pie' literal value.

See Also:
  - `PIE_LITERAL`
  - Constant Field Values

### BAR

public static final int BAR
The 'Bar' literal value.

See Also:
  - `BAR_LITERAL`
  - Constant Field Values

### LINE

public static final int LINE
The 'Line' literal value.

See Also:
  - `LINE_LITERAL`
  - Constant Field Values

### COMBO

public static final int COMBO
The 'Combo' literal value.

See Also:
  - `COMBO_LITERAL`
  - Constant Field Values

### SCATTER

public static final int SCATTER
The 'Scatter' literal value.

See Also:
  - `SCATTER_LITERAL`
  - Constant Field Values

### STOCK

public static final int STOCK
The 'Stock' literal value.

See Also:
  - `STOCK_LITERAL`
  - Constant Field Values

### VALUES

public static final List<ChartType> VALUES
A public read-only list of all the 'Chart Type' enumerators.

## Method Details

### values

public static ChartType[] values()
Returns an array containing the constants of this enum type, in the order they are declared.

Returns:
  an array containing the constants of this enum type, in the order they are declared

### valueOf

public static ChartType valueOf(String name)
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

### get

public static ChartType get(String literal)
Returns the 'Chart Type' literal with the specified literal value.

### getByName

public static ChartType getByName(String name)
Returns the 'Chart Type' literal with the specified name.

### get

public static ChartType get(int value)
Returns the 'Chart Type' literal with the specified integer value.

### getValue

public int getValue()

Specified by:
  `getValue` in interface `org.eclipse.emf.common.util.Enumerator`

### getName

public String getName()

Specified by:
  `getName` in interface `org.eclipse.emf.common.util.Enumerator`

### getLiteral

public String getLiteral()

Specified by:
  `getLiteral` in interface `org.eclipse.emf.common.util.Enumerator`

### toString

public String toString()
Returns the literal value of the enumerator, which is its string representation.

Overrides:
  `toString` in class `Enum<ChartType>`